Skip to main content
PATCH
Update AI Workspace settings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

shopId
string
required

Shop ID (ObjectId)

Body

application/json
agentId
enum<string>

Selected agent

Available options:
builtin,
claude-code,
codex,
opencode,
gemini-cli,
cursor,
windsurf,
aider,
generic
mcp
object

Same shape as GET: { toolGroups }

toolGroups
object

Shorthand for mcp.toolGroups

skills
string[]

Enabled skills

Maximum array length: 30
Required string length: 1 - 64
git
object
publish
object

Response

OK

success
boolean
Example:

true

data
object
message
string